=== modified file 'trunk/svg Converter/SVG_httpAjax.js'
--- trunk/svg Converter/SVG_httpAjax.js	2013-03-26 23:22:55 +0000
+++ trunk/svg Converter/SVG_httpAjax.js	2013-04-02 07:16:49 +0000
@@ -2,18 +2,15 @@
 		/*--------------------------------------------------------------------------------
 			 AJAX Queue
 		----------------------------------------------------------------------------------*/		
-
 		var AJAXQueue = new Array;
 		var AJAXServiceRunning=false;
 		var AJAXReturnfunction;
-
 		var httpAjax = false;
-
 		function getSVG(fileName){
 				paramstr="svgname="+escape(fileName);
 				AjaxService("SVG_TO_CANVAS_III.php",paramstr,"returnedSVG");
 		}
-				
+		
 		/*--------------------------------------------------------------------------------
 				AjaxService
 				
@@ -23,22 +20,19 @@
 				Each service uses a different url and a different parameter layout.
 								
 		----------------------------------------------------------------------------------*/
-
-		function AjaxService(servicename,serviceparam,returnfunction){
-								
-				AJAXQueue.push(servicename);
-				AJAXQueue.push(serviceparam);
-				AJAXQueue.push(returnfunction);
-
-				if(!AJAXServiceRunning){
-						AJAXServiceRunning=true;
-						AJAXReturnfunction=AJAXQueue.pop();
-						var Aparam=AJAXQueue.pop();
-						var Aservice=AJAXQueue.pop();
-						AjaxServiceExec(Aservice,Aparam);
-				}				
+		function AjaxService(servicename,serviceparam,returnfunction) {
+			AJAXQueue.push(servicename);
+			AJAXQueue.push(serviceparam);
+			AJAXQueue.push(returnfunction);
+			if( !AJAXServiceRunning ) {
+				AJAXServiceRunning = true;
+				AJAXReturnfunction = AJAXQueue.pop();
+				var Aparam = AJAXQueue.pop();
+				var Aservice = AJAXQueue.pop();
+				AjaxServiceExec( Aservice, Aparam );
+			}				
 		}
-
+		
 		/*--------------------------------------------------------------------------------
 				AjaxService
 				
@@ -48,52 +42,51 @@
 				Each service uses a different url and a different parameter layout.
 								
 		----------------------------------------------------------------------------------*/
-
-		function AjaxServiceExec(servicename,serviceparam){
-
-			// Parameters are set, initiate AJAX engine
-		  if (window.XMLHttpRequest) {
-		  	httpAjax = new XMLHttpRequest();
-		    if (httpAjax.overrideMimeType) {
-		    	httpAjax.overrideMimeType('text/xml');
-		    }
-		  }else if(window.ActiveXObject){
+		function AjaxServiceExec( servicename, serviceparam ) {
+		// Parameters are set, initiate AJAX engine
+			if( window.XMLHttpRequest ) {
+				httpAjax = new XMLHttpRequest();
+				if( httpAjax.overrideMimeType ) {
+					httpAjax.overrideMimeType( 'text/xml' );
+				}
+			} else if ( window.ActiveXObject ) {
 				try{
-					httpAjax = new ActiveXObject("Msxml2.XMLHTTP");
-						}catch(e){
-							try{
-								httpAjax = new ActiveXObject("Microsoft.XMLHTTP");
-			        }catch(e){
-								alert("Couldnt build an AJAX instance.");
-			          return false;
-							}
-						}
-				}
-				
-				// Send request to Server and initiate callback.
-				
-		    try{
-					httpAjax.onreadystatechange = getPage;
-		    }catch(e){
-					alert("onreadystatechange didnt go well!");
-					return false;
-				}try{
-					httpAjax.open('POST', servicename, true);
-				  httpAjax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;");
-		    }catch(e){
-					alert("Couldnt open url.");
-		      return false;
-		    }try{
-						httpAjax.send(serviceparam);				
-		    }catch(e){
-					alert("Couldnt send request.");
-					return false;
-				}
-		   
-			 return true;
-
+					httpAjax = new ActiveXObject( "Msxml2.XMLHTTP" );
+				} catch(e) {
+					try {
+						httpAjax = new ActiveXObject( "Microsoft.XMLHTTP" );
+					} catch(e) {
+						alert( "Couldnt build an AJAX instance." );
+						return false;
+					}
+				}
+			}
+			// Send request to Server and initiate callback.
+			try{
+				httpAjax.onreadystatechange = getPage;
+		    } 
+			catch(e){
+				alert( "onreadystatechange didnt go well!" );
+				return false;
+			} 
+			try{
+				httpAjax.open( 'POST', servicename, true );
+				httpAjax.setRequestHeader( "Content-Type", "application/x-www-form-urlencoded;" );
+		    } 
+			catch(e){
+				alert( "Couldnt open url." );
+				return false;
+		    } 
+			try{
+				httpAjax.send( serviceparam );				
+		    } 
+			catch(e){
+				alert( "Couldnt send request." );
+				return false;
+			}
+			return true;
 		}
-
+		
 		/*--------------------------------------------------------------------------------
 				getPage
 
@@ -102,25 +95,29 @@
 								
 		----------------------------------------------------------------------------------*/
 
-	function getPage() {
-					
+	function getPage() {				
 		if(httpAjax.readyState == 4){
-
-				str=httpAjax.responseText;
-				eval(AJAXReturnfunction+'(str);');
-
-				if(AJAXQueue.length>0){
-						AJAXReturnfunction=AJAXQueue.pop();
-						var Aparam=AJAXQueue.pop();
-						var Aservice=AJAXQueue.pop();
-						AjaxServiceExec(Aservice,Aparam);
-				}else{
-						AJAXServiceRunning=false;				
+			tr = httpAjax.responseText;
+			eval( AJAXReturnfunction + '(str);' );
+				if( AJAXQueue.length > 0 ) {
+					AJAXReturnfunction = AJAXQueue.pop();
+					var Aparam = AJAXQueue.pop();
+					var Aservice = AJAXQueue.pop();
+					AjaxServiceExec( Aservice, Aparam );
+				} else {
+					AJAXServiceRunning = false;				
 				}
-								
 				return true;				
-		}else{
+		} else {
 	  		// If any other ready state than prepared, do nothing!
 	  }
 	}
+	
+	
+	function returnedSVG( htmltext ) {
+		var conto = document.getElementById( 'content' );
+		conto.innerHTML = htmltext;
+		str = 'var acanvas=document.getElementById("previewCanvas");acanvas.width=700;var c=acanvas.getContext("2d");' + htmltext;
+		eval(str);
+	}
 

=== modified file 'trunk/svg Converter/index.php'
--- trunk/svg Converter/index.php	2013-03-26 23:22:55 +0000
+++ trunk/svg Converter/index.php	2013-04-02 07:16:49 +0000
@@ -1,47 +1,38 @@
 <html>
-<head>
-		<script language="javascript" src="SVG_httpAjax.js"></script>
-		<script language="javascript">
-				function returnedSVG(htmltext)
-				{
-
-						var conto=document.getElementById('content');
-						conto.innerHTML=htmltext;
-
-						str='var acanvas=document.getElementById("previewCanvas");acanvas.width=700;var c=acanvas.getContext("2d");'+htmltext;
-						eval(str);
-
-				}
-		</script>
-</head>
-<body>
-<table><tr>
-	<td style="border:outset 3px #ffeedd; background-color: #fff8f8;font-family:Calibri,Georgia,Serif;" valign="top">
-<?php
-
-		function endsWith($haystack,$needle,$case=true) {
-		    if($case){return (strcmp(substr($haystack, strlen($haystack) - strlen($needle)),$needle)===0);}
-		    return (strcasecmp(substr($haystack, strlen($haystack) - strlen($needle)),$needle)===0);
-		}
-
-		$dir = opendir('.');
-    while (($file = readdir($dir)) !== false) {
-        if(endsWith($file,".svg")){
-        		echo "<span onmouseover='this.style.backgroundColor=\"#000\";this.style.color=\"#fff\"' onmouseout='this.style.backgroundColor=\"#fff8f8\";this.style.color=\"#000\"' style='cursor:pointer;' onclick='getSVG(\"".$file."\");'>".$file."</span><br>";
-      	}
-    }
-
-?>
-</td>
-<td id='preview' style="border:outset 3px #ffeedd; background-color: #fff8f8;font-family:Calibri,Georgia,Serif;" valign="top">
-	Preview:<br>
-	<canvas width="700" height="700" id="previewCanvas">
-	</canvas>
-</td>
-<td style="border:outset 3px #ffeedd; background-color: #fff8f8;" valign="top">
-		<pre id='content' style='font-family:Calibri,Georgia,Serif;'>
-		</pre>
-</td>
-</tr></table>
-</body>
+	
+	<head>
+			<script language="javascript" src="SVG_httpAjax.js">
+			</script>
+	</head>
+	
+	<body>
+		<table><tr>
+			<td style="border:outset 3px #ffeedd; background-color: #fff8f8;font-family:Calibri,Georgia,Serif;" valign="top">
+				<?php
+					function endsWith($haystack, $needle, $case=true) {
+						if($case){
+							return( strcmp( substr( $haystack, strlen( $haystack ) - strlen( $needle )), $needle ) === 0 );
+						}
+						return( strcasecmp( substr( $haystack, strlen( $haystack) - strlen( $needle )), $needle ) === 0 );
+					}
+					$dir = opendir( '.' );
+					while(( $file = readdir( $dir )) !== false ) {
+						if( endsWith( $file, ".svg" )) {
+							echo "<span onmouseover='this.style.backgroundColor=\"#000\";this.style.color=\"#fff\"' onmouseout='this.style.backgroundColor=\"#fff8f8\";this.style.color=\"#000\"' style='cursor:pointer;' onclick='getSVG(\"".$file."\");'>".$file."</span><br>";
+						}
+					}
+				?>
+			</td>
+			<td id='preview' style="border:outset 3px #ffeedd; background-color: #fff8f8;font-family:Calibri,Georgia,Serif;" valign="top">
+				Preview:<br>
+				<canvas width="700" height="700" id="previewCanvas">
+				</canvas>
+			</td>
+			<td style="border:outset 3px #ffeedd; background-color: #fff8f8;" valign="top">
+				<pre id='content' style='font-family:Calibri,Georgia,Serif;'>
+				</pre>
+			</td>
+		</tr></table>
+	</body>
+
 </html>
\ No newline at end of file

